#include "HttpMessageHandler.h"

#include "HttpRequest.h"
#include "HttpResponse.h"

std::string HttpMessageHandler::onMessage(const std::string& message)
{
	HttpRequest request;
	request.parseMessage(message);

    HttpResponse response;
    response.SetBody("Hello world!");

    const auto response_message = response.ToString();

    return response_message;
}
